SOURCES: apache.init - separated force-reload (HUP) from graceful ...

arekm arekm at pld-linux.org
Tue Jan 10 20:36:14 CET 2006


Author: arekm                        Date: Tue Jan 10 19:36:14 2006 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- separated force-reload (HUP) from graceful reload (USR1)

---- Files affected:
SOURCES:
   apache.init (1.52 -> 1.53) 

---- Diffs:

================================================================
Index: SOURCES/apache.init
diff -u SOURCES/apache.init:1.52 SOURCES/apache.init:1.53
--- SOURCES/apache.init:1.52	Thu Dec 22 19:46:02 2005
+++ SOURCES/apache.init	Tue Jan 10 20:36:08 2006
@@ -86,6 +86,22 @@
 		RETVAL=7
 	fi
 	;;
+  force-reload)
+	if [ -f /var/lock/subsys/httpd ]; then
+		run_cmd "Checking httpd.${HTTPD_MPM} configuration" httpd.${HTTPD_MPM} $CFG -t
+		RETVAL=$?
+		if [ $RETVAL -eq 0 ]; then
+			msg_reloading httpd.${HTTPD_MPM}
+			# forced reload
+			daemon httpd.${HTTPD_MPM} $CFG -k restart
+			RETVAL=$?
+		fi
+	else
+		msg_not_running httpd.${HTTPD_MPM} >&2
+		RETVAL=7
+	fi
+	;;
+
   *)
 	msg_usage "$0 {start|stop|restart|reload|force-reload|graceful|status}"
 	exit 3
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SOURCES/apache.init?r1=1.52&r2=1.53&f=u



More information about the pld-cvs-commit mailing list